Page MenuHomePhabricator

Need spare server to upgrade/migrate gerrit
Closed, ResolvedPublic

Description

ytterbium is about to reach the end of its warranty. It also needs an upgrade (cf: T70271). It's running precise right now which needs killing.

CPU usage is pretty minimal, just need about 30G of RAM or so to throw at the JVM. Don't need a ton of disk space either, just not-crappy disk latency so a VM is kinda out. Current desk setup is a little wonky and historical, but for reference in terms of disk usage:

demon@ytterbium ~$ df -h
Filesystem                        Size  Used Avail Use% Mounted on
/dev/md0                          9.2G  7.8G  980M  89% /
udev                               16G  4.0K   16G   1% /dev
tmpfs                             3.2G  332K  3.2G   1% /run
none                              5.0M     0  5.0M   0% /run/lock
none                               16G     0   16G   0% /run/shm
/dev/mapper/ytterbium--vg-gerrit  200G   28G  173G  14% /var/lib/gerrit2

We were looking at possibly using the R420s in eqiad that already have 500GB SATA drives--would just need some spare memory stuck in to handle the deficit. The R430s are massive overkill with their 4x4TB disks.

Related Objects

StatusAssignedTask
ResolvedNemo_bis
Resolveddemon
Resolveddemon
Resolveddemon
Resolveddemon
ResolvedNone
Resolveddemon
Resolveddemon
Resolveddemon
ResolvedAklapper
Resolveddemon
Resolveddemon
Resolveddemon
Resolveddemon
Resolveddemon
Resolveddemon
Resolveddemon
ResolvedDzahn
ResolvedDzahn
ResolvedRobH
ResolvedCmjohnson
Resolveddemon

Event Timeline

demon created this task.Jan 8 2016, 7:36 PM
demon raised the priority of this task from to Normal.
demon updated the task description. (Show Details)
demon added projects: hardware-requests, Gerrit.
demon added subscribers: demon, RobH, Dzahn.
Restricted Application added a project: Operations. · View Herald TranscriptJan 8 2016, 7:36 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
RobH added a subscriber: Cmjohnson.Jan 13 2016, 6:49 PM

I'd like to use lead for this, but we need the memory upgraded from 16 to 32GB. I'll create a sub-task for @Cmjohnson to check if he can upgrade with onsite spare memory.

I was able to increase the amount of memory on lead by 16GB for a total of 32GB.

Dzahn raised the priority of this task from Normal to High.Jan 28 2016, 12:41 AM

there is also T125018 to get the server OS away from precise and up to jessie

RobH assigned this task to mark.Jan 28 2016, 1:09 AM
RobH added a subscriber: mark.

So with the upgrade of lead to 32GB, we now need @mark's approval to allocate lead as the gerrit server replacement.

Once that is done, related T125018 (upgrade current gerrit server OS) will become invalid and we'll reclaim the existing gerrit server to spares once the migration to the new server/OS is complete.

@mark: Please approve the allocation of spare server lead. Chris was able to upgrade it with onsite spare memory into it. This server is also under warranty until 2017-04-30. (The current gerrit server ytterbium is only in warranty for a single month more.) Please update/comment with your approval or followup questions and assign back to me.

mark added a comment.Feb 11 2016, 8:11 PM

Approved.

Paladox set Security to None.Feb 11 2016, 8:15 PM
Paladox added a subscriber: Paladox.
greg added a subscriber: greg.Feb 12 2016, 6:15 PM
RobH claimed this task.Feb 12 2016, 6:16 PM

Would gerrit be upgraded in the process of migrating to a new server.

demon added a comment.Feb 12 2016, 6:31 PM

Yes, that's what the "upgrade" part of the task title means.

RobH closed this task as Resolved.Feb 19 2016, 4:38 AM

This request has been resolved with the allocation & setup of the server on T126794.